Skip to main content
POST
Create A New Branch

Headers

x-api-key
string | null

Your API key for programmatic access. Send it in the x-api-key header; you can create and manage keys from the Developers page.

Path Parameters

agent_id
string
required

The id of an agent. This is returned on agent creation.

Example:

"agent_3701k3ttaq12ewp8b7qv5rfyszkz"

Body

application/json
parent_version_id
string
required

ID of the version to branch from

name
string
required

Name of the branch. It is unique within the agent.

Maximum string length: 140
description
string
required

Description for the branch

Maximum string length: 4096
conversation_config
ConversationalConfigAuthoringPatch · object | null

Changes to apply to conversation config

Example:
platform_settings
Platform Settings · object | null

Changes to apply to platform settings

workflow
AgentWorkflowRequestModel · object | null

Updated workflow definition

Example:

Response

Successful Response

created_branch_id
string
required

ID of the created branch

created_version_id
string
required

ID of the first version on the created branch